MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030855Open CASCADE[OCCT] OCCT:Codingpublic2019-07-28 10:532019-08-11 10:50
Reporterbugmaster 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030855: Coding - New warnings within Standard_ReadLineBuffer after integration fix for 0030830
DescriptionNew warnings after integration fix for 0030830 in Products on Windows-32-VC10, Windows-32-VC11, Windows-32-VC12 and Windows-32-VC14
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0085916)
bugmaster (administrator)
2019-07-28 10:56

Build:
http://jenkins-test-08.nnov.opencascade.com/view/IR-2019-07-27_IR-2019-07-27/view/PRODUCTS%20compile/ [^]

Warnings:
http://jenkins-test-08.nnov.opencascade.com/view/management/job/warnings_compare/Compare_20Warnings_20Report/ [^]
(0085919)
git (administrator)
2019-07-28 12:26

Branch CR30855 has been created by kgv.

SHA-1: f6b4e578cddaaf497ef0079420dfd19c17508360


Detailed log of new commits:

Author: kgv
Date: Sun Jul 28 12:24:53 2019 +0300

    0030855: Coding - New warnings within Standard_ReadLineBuffer after integration fix for 0030830
    
    Added missing cast.
(0085920)
kgv (developer)
2019-07-28 12:27

The patch should fix the warning - please check.
(0085955)
bugmaster (administrator)
2019-07-31 12:24

Tested in framework of WEEK-31

Combination -
OCCT branch : WEEK-31
master SHA - 607e5e62e7b2520cb40a3fa16522d1e1d53640db
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-31 SHA - 53815c0544dd1e39d32ee14979d7d88e78729edc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16243.890000000076 / 16237.229999999976 [+0.04%]
Products
Total CPU difference: 10496.830000000034 / 10493.010000000033 [+0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 17687.3125 / 17592.765625 [+0.54%]
Products
Total CPU difference: 12164.5625 / 12065.453125 [+0.82%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0086153)
git (administrator)
2019-08-11 10:50

Branch CR30855 has been deleted by inv.

SHA-1: f6b4e578cddaaf497ef0079420dfd19c17508360

- Related Changesets
occt: master f6b4e578
Timestamp: 2019-07-28 09:24:53
Author: kgv
Details ] Diff ]
0030855: Coding - New warnings within Standard_ReadLineBuffer after integration fix for 0030830

Added missing cast.
mod - src/Standard/Standard_ReadLineBuffer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-07-28 10:53 bugmaster New Issue
2019-07-28 10:53 bugmaster Assigned To => kgv
2019-07-28 10:56 bugmaster Note Added: 0085916
2019-07-28 12:26 kgv Product Version => 7.4.0
2019-07-28 12:26 kgv Summary Coding - New warnings after integration fix for 0030830 => Coding - New warnings within Standard_ReadLineBuffer after integration fix for 0030830
2019-07-28 12:26 git Note Added: 0085919
2019-07-28 12:27 kgv Note Added: 0085920
2019-07-28 12:27 kgv Assigned To kgv => bugmaster
2019-07-28 12:27 kgv Status new => resolved
2019-07-28 12:27 kgv Status resolved => reviewed
2019-07-28 12:27 kgv Relationship added child of 0030830
2019-07-31 12:24 bugmaster Note Added: 0085955
2019-07-31 12:24 bugmaster Status reviewed => tested
2019-08-11 10:40 kgv Changeset attached => occt master f6b4e578
2019-08-11 10:40 kgv Assigned To bugmaster => kgv
2019-08-11 10:40 kgv Status tested => verified
2019-08-11 10:40 kgv Resolution open => fixed
2019-08-11 10:50 git Note Added: 0086153


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker